package KITExcellence;

import java.io.IOException;
import java.util.Hashtable;

public class SpriteManager {
	private Hashtable sprites = new Hashtable();
	private GameTimer timer;
	
	public SpriteManager(GameTimer timer) throws IOException {
		this.timer = timer;
		
		SpriteData tux = new SpriteData();
		tux.testCreateTux();
		sprites.put("tux", tux);
		SpriteData snowball = new SpriteData();
		snowball.testCreateSnowball();
		sprites.put("snowball", snowball);
	}
	
	public Sprite createSprite(String name) {
		SpriteData data = (SpriteData) sprites.get(name);
		if (data == null)
			throw new RuntimeException("Sprite " + name + " not found");
		
		return new Sprite(data, timer);
	}
}
