import javax.microedition.lcdui.Command;
import javax.microedition.lcdui.CommandListener;
import javax.microedition.lcdui.Display;
import javax.microedition.lcdui.Displayable;
import javax.microedition.lcdui.TextBox;
import javax.microedition.midlet.MIDlet;
import javax.microedition.midlet.MIDletStateChangeException;


public class TestMIDlet extends MIDlet {
	
	private Command exitCommand;
	private Command infoCommand;
	
	TestMIDlet() {
		exitCommand = new Command("Exit", Command.SCREEN, 1);
		infoCommand = new Command("Info", Command.SCREEN, 2);		
	}

	protected void destroyApp(boolean arg0) throws MIDletStateChangeException {
	}

	protected void pauseApp() {	}

	protected void startApp() throws MIDletStateChangeException {
		TextBox t = new TextBox("FirstMIDlet", "Welcome to my Test", 256, 0);
		t.addCommand(exitCommand);
		t.addCommand(infoCommand);
		t.setCommandListener(new CommandListener() {
			
			public void commandAction(Command arg0, Displayable arg1) {
				if (arg0 == exitCommand) {
					notifyDestroyed();
				}
			}
		});
		Display.getDisplay(this).setCurrent(t);
	}
}
